ostream File Reference

Go to the source code of this file.

## Classes

class | std::basic_ostream< _CharT, _Traits >
class | std::basic_ostream< _CharT, _Traits >::sentry

## Namespaces

| std

## Macros

#define | _GLIBCXX_OSTREAM

## Functions

template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::endl (basic_ostream< _CharT, _Traits > &__os)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::ends (basic_ostream< _CharT, _Traits > &__os)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::flush (basic_ostream< _CharT, _Traits > &__os)
template<typename _CharT , typename _Traits , typename _Tp >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &&__os, const _Tp &__x)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, _CharT __c)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, char __c)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, char __c)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, signed char __c)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, unsigned char __c)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, const _CharT *__s)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, const char *__s)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, const char *__s)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, const signed char *__s)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, const unsigned char *__s)

## Detailed Description

This is a Standard C++ Library header.

Definition in file ostream.